buffer_putxlong(3)

NAME
buffer_putxlong - write a hexidecimal ASCII representation of an unsigned long integer to buffer

SYNTAX
#include <libowfat/buffer.h> int buffer_putxlong(buffer* b,unsigned long x);

DESCRIPTION
buffer_putxlong is similar to passing the result of fmt_xlong to buffer_put.

RETURN VALUE
0 if everything is fine, -1 on error (setting errno).

SEE ALSO
fmt_xlong(3), buffer_put(3), buffer_flush(3), buffer(3)